<?php

class Backend_GalleryController extends RCMS_Core_BaseController
{
    
    public function init()
    {
        $this->_model = new Default_Model_DeeplinkModel();
        parent::init();
        parent::checkLogin();
    }

    public function indexAction()
    {
        $this->_helper->getHelper('layout')->disableLayout();
        $gallery = $this->getRequest()->getParam('gallery');
        $this->view->galleryName = $gallery;
		$content = $this->_translator->processScreen($this->view->render($this->getViewScript()));
		$this->_helper->viewRenderer->setNoRender(true);
		echo $content;
    }
}